| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
InitialAnnouncementConfig Struct Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Struct InitialAnnouncementConfig defines the behavior of the RTPSParticipant initial announcements. More...

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

bool | operator== (const InitialAnnouncementConfig &b) const

## Public Attributes

uint32_t | count = 5u
| Number of initial announcements with specific period (default 5).
dds::Duration_t | period = { 0, 100000000u }
| Specific period for initial announcements (default 100ms).

## Detailed Description

Struct InitialAnnouncementConfig defines the behavior of the RTPSParticipant initial announcements.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const InitialAnnouncementConfig & | b | ) | const

inline

## Member Data Documentation

## ◆ count

uint32_t count = 5u

Number of initial announcements with specific period (default 5).

## ◆ period

dds::Duration_t period = { 0, 100000000u }

Specific period for initial announcements (default 100ms).

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp